FIX::ConnectorWrapper Class Reference

Handles events from SocketMonitor for client connections. More...

Inheritance diagram for FIX::ConnectorWrapper:
[legend]
Collaboration diagram for FIX::ConnectorWrapper:
[legend]

## Public Member Functions

| ConnectorWrapper (SocketConnector &connector, SocketConnector::Strategy &strategy)
Public Member Functions inherited from FIX::SocketMonitor::Strategy
virtual | ~Strategy ()

## Private Member Functions

void | onConnect (SocketMonitor &, int socket)
void | onWrite (SocketMonitor &, int socket)
void | onEvent (SocketMonitor &, int socket)
void | onError (SocketMonitor &, int socket)
void | onError (SocketMonitor &)
void | onTimeout (SocketMonitor &)

## Private Attributes

SocketConnector & | m_connector
SocketConnector::Strategy & | m_strategy

## Detailed Description

Handles events from SocketMonitor for client connections.

Definition at line 56 of file SocketConnector.cpp.

## Constructor & Destructor Documentation

## ConnectorWrapper()

FIX::ConnectorWrapper::ConnectorWrapper | ( | SocketConnector & | connector,
|  | SocketConnector::Strategy & | strategy
| ) |  |

inline

Definition at line 76 of file SocketConnector.cpp.

## Member Function Documentation

## onConnect()

void FIX::ConnectorWrapper::onConnect | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 81 of file SocketConnector.cpp.

: m_monitor( timeout ) {}

## onError() [1/2]

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & |  | ) |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 102 of file SocketConnector.cpp.

## onError() [2/2]

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 97 of file SocketConnector.cpp.

## onEvent()

void FIX::ConnectorWrapper::onEvent | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 91 of file SocketConnector.cpp.

{
if( noDelay )
socket_setsockopt( socket, TCP_NODELAY );
if( sendBufSize )

References FIX::socket_setsockopt().

## onTimeout()

void FIX::ConnectorWrapper::onTimeout | ( | SocketMonitor & |  | ) |

inline private virtual

Reimplemented from FIX::SocketMonitor::Strategy.

Definition at line 107 of file SocketConnector.cpp.

{
int socket = connect( address, port, noDelay, sendBufSize, rcvBufSize, "", 0);

## onWrite()

void FIX::ConnectorWrapper::onWrite | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 86 of file SocketConnector.cpp.

{
int socket = socket_createConnector();

References FIX::socket_createConnector().

## Member Data Documentation

## m_connector

SocketConnector& FIX::ConnectorWrapper::m_connector

private

Definition at line 110 of file SocketConnector.cpp.

## m_strategy

SocketConnector::Strategy& FIX::ConnectorWrapper::m_strategy

private

Definition at line 113 of file SocketConnector.cpp.

The documentation for this class was generated from the following file:

- SocketConnector.cpp

FIX::socket_setsockopt
int socket_setsockopt(int s, int opt)
Definition: Utility.cpp:225
FIX::socket_createConnector
int socket_createConnector()
Definition: Utility.cpp:160